/// <reference types="node" />
import type { ChildProcessWithoutNullStreams } from 'child_process';
import type { Task } from './task';
/** Initialize the app function worker server */
export declare function initialize(serverWorkerPath?: string): Promise<ChildProcessWithoutNullStreams | undefined>;
/**
 * Dispatch a app function worker task.
 *
 * Creates a new TCP socket connection for every app function execution to the
 * app function worker server. Once the response from the server has been read,
 * the worker server will close the socket with FIN.
 */
export declare function dispatch<T>(task: Task): Promise<T>;
